Tp::PendingChannelRequest Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | List of all members
Tp::PendingChannelRequest Class Reference
ChannelRequest proxies

The PendingChannelRequest class represents the parameters of and the reply to an asynchronous ChannelRequest request. More...

`#include <TelepathyQt/PendingChannelRequest>`

Inherits Tp::PendingOperation.

## Signals
void | channelRequestCreated (const Tp::ChannelRequestPtr &channelRequest)
Signals inherited from Tp::PendingOperation
void | finished (Tp::PendingOperation *operation)

## Public Member Functions
| ~PendingChannelRequest ()
AccountPtr | account () const
ChannelRequestPtr | channelRequest () const
PendingOperation * | cancel ()
Public Member Functions inherited from Tp::PendingOperation
virtual | ~PendingOperation ()
bool | isFinished () const
bool | isValid () const
bool | isError () const
QString | errorName () const
QString | errorMessage () const

## Additional Inherited Members
Protected Slots inherited from Tp::PendingOperation
void | setFinished ()
void | setFinishedWithError (const QString &name, const QString &message)
void | setFinishedWithError (const QDBusError &error)
Protected Member Functions inherited from Tp::PendingOperation
| PendingOperation (const SharedPtr< RefCounted > &object)
SharedPtr< RefCounted > | object () const

## Detailed Description

The PendingChannelRequest class represents the parameters of and the reply to an asynchronous ChannelRequest request.

Instances of this class cannot be constructed directly; the only way to get one is through Account.

See Asynchronous Object Model

## Constructor & Destructor Documentation

Tp::PendingChannelRequest::~PendingChannelRequest | ( |  | ) |

Class destructor.

## Member Function Documentation

AccountPtr Tp::PendingChannelRequest::account | ( |  | ) | const

Return the account through which the request was made.

Returns
  A pointer to the Account object.

ChannelRequestPtr Tp::PendingChannelRequest::channelRequest | ( |  | ) | const

PendingOperation * Tp::PendingChannelRequest::cancel | ( |  | ) |

void Tp::PendingChannelRequest::channelRequestCreated | ( | const Tp::ChannelRequestPtr & | channelRequest | ) |
| signal